Server Fault is a question and answer site for system and network administrators. Join them; it only takes a minute:

Sign up
Here's how it works:
  1. Anybody can ask a question
  2. Anybody can answer
  3. The best answers are voted up and rise to the top

as the nrpe user when Command: /scripts/nagisk.pl -c version Outputs: Asterisk 1.8.11-cert10

Using nrpe

Command: /usr/lib/nagios/plugins/check_nrpe -H [HOSTNAME] -c check_asterisk_version

Outputs: Error getting version

I have this line in my nrpe.cfg

command[check_asterisk_version]=/scripts/nagisk.pl -c version2

Here is the script i am running http://sourceforge.net/projects/nagisk/

I also have simmaler issue's with different asterisk pluggin as well http://www.it-slav.net/blogs/2009/02/13/asterisk-monitoring-with-nagios-or-op5-monitor/

Any Help would be greatly apriciated

share|improve this question
    
I fiugred it out, my visudo had requiretty – Tim Holum Nov 16 '13 at 16:36
    
You should post that as an answer and mark it as accepted. – dsolimano Nov 16 '13 at 16:47
    
serverfault.com/questions/323233/… – Keith Nov 18 '13 at 21:38

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.